Loading...
Searching...
No Matches
XrdXrootdMonData.hh File Reference
`#include "XProtocol/XPtypes.hh"`
Include dependency graph for XrdXrootdMonData.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdXrootdMonBuff
struct | XrdXrootdMonBurr
union | XrdXrootdMonBurr.__unnamed0__
union | XrdXrootdMonDouble
struct | XrdXrootdMonFileCLS
struct | XrdXrootdMonFileDSC
struct | XrdXrootdMonFileHdr
union | XrdXrootdMonFileHdr.__unnamed0__
struct | XrdXrootdMonFileLFN
struct | XrdXrootdMonFileOPN
struct | XrdXrootdMonFileTOD
struct | XrdXrootdMonFileXFR
struct | XrdXrootdMonGS
struct | XrdXrootdMonHeader
struct | XrdXrootdMonMap
struct | XrdXrootdMonRedir
union | XrdXrootdMonRedir.arg0
struct | XrdXrootdMonRedir.arg0.rdr
union | XrdXrootdMonRedir.arg1
struct | XrdXrootdMonStatOPS
struct | XrdXrootdMonStatPRW
struct | XrdXrootdMonStatSSQ
struct | XrdXrootdMonStatXFR
struct | XrdXrootdMonTrace
union | XrdXrootdMonTrace.arg0
union | XrdXrootdMonTrace.arg1
union | XrdXrootdMonTrace.arg2

## Variables

const kXR_char | XROOTD_MON_APPID = 0xa0
const kXR_char | XROOTD_MON_BOUNDP = 0x02
const kXR_char | XROOTD_MON_CHMOD = 0x01
const kXR_char | XROOTD_MON_CLOSE = 0xc0
const kXR_char | XROOTD_MON_DISC = 0xd0
const kXR_char | XROOTD_MON_FORCED = 0x01
const kXR_char | XROOTD_MON_GSCCM = 'M'
const kXR_char | XROOTD_MON_GSOSS = 'O'
const kXR_char | XROOTD_MON_GSPFC = 'C'
const kXR_char | XROOTD_MON_GSTCP = 'T'
const kXR_char | XROOTD_MON_GSTHR = 'R'
const kXR_char | XROOTD_MON_GSTPC = 'P'
const kXR_char | XROOTD_MON_LOCATE = 0x02
const kXR_char | XROOTD_MON_MAPFSTA = 'f'
const kXR_char | XROOTD_MON_MAPGSTA = 'g'
const kXR_char | XROOTD_MON_MAPIDNT = '='
const kXR_char | XROOTD_MON_MAPINFO = 'i'
const kXR_char | XROOTD_MON_MAPMIGR = 'm'
const kXR_char | XROOTD_MON_MAPPATH = 'd'
const kXR_char | XROOTD_MON_MAPPURG = 'p'
const kXR_char | XROOTD_MON_MAPREDR = 'r'
const kXR_char | XROOTD_MON_MAPSTAG = 's'
const kXR_char | XROOTD_MON_MAPTOKN = 'T'
const kXR_char | XROOTD_MON_MAPTRCE = 't'
const kXR_char | XROOTD_MON_MAPUEAC = 'U'
const kXR_char | XROOTD_MON_MAPUSER = 'u'
const kXR_char | XROOTD_MON_MAPXFER = 'x'
const kXR_char | XROOTD_MON_MKDIR = 0x07
const kXR_char | XROOTD_MON_MV = 0x08
const int | XROOTD_MON_NEWSTID = 0x8000000
const kXR_char | XROOTD_MON_OPEN = 0x80
const kXR_char | XROOTD_MON_OPENC = 0x04
const kXR_char | XROOTD_MON_OPENDIR = 0x03
const kXR_char | XROOTD_MON_OPENR = 0x05
const kXR_char | XROOTD_MON_OPENW = 0x06
const long long | XROOTD_MON_PIDMASK = 0xff
const long long | XROOTD_MON_PIDSHFT = 56
const kXR_char | XROOTD_MON_PREP = 0x09
const kXR_char | XROOTD_MON_QUERY = 0x0a
const kXR_char | XROOTD_MON_READU = 0x91
const kXR_char | XROOTD_MON_READV = 0x90
const kXR_char | XROOTD_MON_REDHOST = 0xf0
const kXR_char | XROOTD_MON_REDIRECT = 0x80
const kXR_char | XROOTD_MON_REDLOCAL = 0x90
const int | XROOTD_MON_REDMASK = 0x00000ff
const kXR_char | XROOTD_MON_REDSID = 0xf0
const kXR_char | XROOTD_MON_REDTIME = 0x00
const kXR_char | XROOTD_MON_RM = 0x0b
const kXR_char | XROOTD_MON_RMDIR = 0x0c
const long long | XROOTD_MON_SIDMASK = 0x0000ffffffffffff
const int | XROOTD_MON_SRCMASK = 0x000000f
const kXR_char | XROOTD_MON_STAT = 0x0d
const int | XROOTD_MON_TRGMASK = 0x7fffff0
const kXR_char | XROOTD_MON_TRUNC = 0x0e
const kXR_char | XROOTD_MON_WINDOW = 0xe0

## Class Documentation

## XrdXrootdMonBuff

struct XrdXrootdMonBuff

Definition at line 58 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonBuff:

Class Members
XrdXrootdMonHeader | hdr |
XrdXrootdMonTrace | info[sizeof(XrdXrootdMonTrace)] |

## XrdXrootdMonBurr

struct XrdXrootdMonBurr

Definition at line 73 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonBurr:

Class Members
union XrdXrootdMonBurr.__unnamed0__ | __unnamed__ |
XrdXrootdMonHeader | hdr |
XrdXrootdMonRedir | info[sizeof(XrdXrootdMonRedir)] |

## XrdXrootdMonBurr.__unnamed0__

union XrdXrootdMonBurr.__unnamed0__

Definition at line 75 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonBurr.__unnamed0__:

Class Members
kXR_int64 | sID |
kXR_char | sXX[8] |

## XrdXrootdMonDouble

union XrdXrootdMonDouble

Definition at line 266 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonDouble:

Class Members
long long | dlong |
double | dreal |

## XrdXrootdMonFileCLS

struct XrdXrootdMonFileCLS

Definition at line 295 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonFileCLS:

Class Members
XrdXrootdMonFileHdr | Hdr |
XrdXrootdMonStatOPS | Ops |
XrdXrootdMonStatSSQ | Ssq |
XrdXrootdMonStatXFR | Xfr |

## XrdXrootdMonFileDSC

struct XrdXrootdMonFileDSC

Definition at line 305 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonFileDSC:

Class Members
XrdXrootdMonFileHdr | Hdr |

## XrdXrootdMonFileHdr.__unnamed0__

union XrdXrootdMonFileHdr.__unnamed0__

Definition at line 194 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonFileHdr.__unnamed0__:

Class Members
kXR_unt32 | fileID |
short | nRecs[2] |
kXR_unt32 | userID |

## XrdXrootdMonFileLFN

struct XrdXrootdMonFileLFN

Definition at line 218 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonFileLFN:

Class Members
char | lfn[1028] |
kXR_unt32 | user |

## XrdXrootdMonFileOPN

struct XrdXrootdMonFileOPN

Definition at line 229 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonFileOPN:

Class Members
long long | fsz |
XrdXrootdMonFileHdr | Hdr |
XrdXrootdMonFileLFN | ufn |

## XrdXrootdMonFileTOD

struct XrdXrootdMonFileTOD

Definition at line 205 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonFileTOD:

Class Members
XrdXrootdMonFileHdr | Hdr |
kXR_int64 | sID |
int | tBeg |
int | tEnd |

## XrdXrootdMonFileXFR

struct XrdXrootdMonFileXFR

Definition at line 313 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonFileXFR:

Class Members
XrdXrootdMonFileHdr | Hdr |
XrdXrootdMonStatXFR | Xfr |

## XrdXrootdMonGS

struct XrdXrootdMonGS

Definition at line 80 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonGS:

Class Members
XrdXrootdMonHeader | hdr |
kXR_int64 | sID |
int | tBeg |
int | tEnd |

## XrdXrootdMonHeader

struct XrdXrootdMonHeader

Definition at line 39 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonHeader:

Class Members
kXR_char | code |
kXR_unt16 | plen |
kXR_char | pseq |
kXR_int32 | stod |

## XrdXrootdMonMap

struct XrdXrootdMonMap

Definition at line 87 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonMap:

Class Members
kXR_unt32 | dictid |
XrdXrootdMonHeader | hdr |
char | info[1024+256] |

## XrdXrootdMonRedir

struct XrdXrootdMonRedir

Definition at line 63 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonRedir:

Class Members
union XrdXrootdMonRedir.arg0 | arg0 |
union XrdXrootdMonRedir.arg1 | arg1 |

## XrdXrootdMonRedir.arg0

union XrdXrootdMonRedir.arg0

Definition at line 64 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonRedir.arg0:

Class Members
struct XrdXrootdMonRedir.arg0.rdr | rdr |
kXR_int32 | Window |

## XrdXrootdMonRedir.arg0.rdr

struct XrdXrootdMonRedir.arg0.rdr

Definition at line 65 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonRedir.arg0.rdr:

Class Members
kXR_char | Dent |
kXR_int16 | Port |
kXR_char | Type |

## XrdXrootdMonRedir.arg1

union XrdXrootdMonRedir.arg1

Definition at line 69 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonRedir.arg1:

Class Members
kXR_unt32 | dictid |
kXR_int32 | Window |

## XrdXrootdMonStatOPS

struct XrdXrootdMonStatOPS

Definition at line 250 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonStatOPS:

Class Members
int | rdMax |
int | rdMin |
int | read |
int | readv |
long long | rsegs |
short | rsMax |
short | rsMin |
int | rvMax |
int | rvMin |
int | write |
int | wrMax |
int | wrMin |

## XrdXrootdMonStatPRW

struct XrdXrootdMonStatPRW

Definition at line 238 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonStatPRW:

Class Members
long long | rBytes |
int | rCount |
int | rRetry |
long long | wBytes |
int | wCount |
int | wcsErr |
int | wcsUnc |
int | wRetry |

## XrdXrootdMonStatSSQ

struct XrdXrootdMonStatSSQ

Definition at line 272 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonStatSSQ:

Class Members
XrdXrootdMonDouble | read |
XrdXrootdMonDouble | readv |
XrdXrootdMonDouble | rsegs |
XrdXrootdMonDouble | write |

## XrdXrootdMonStatXFR

struct XrdXrootdMonStatXFR

Definition at line 282 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonStatXFR:

Class Members
long long | read |
long long | readv |
long long | write |

## XrdXrootdMonTrace

struct XrdXrootdMonTrace

Definition at line 46 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonTrace:

Class Members
union XrdXrootdMonTrace.arg0 | arg0 |
union XrdXrootdMonTrace.arg1 | arg1 |
union XrdXrootdMonTrace.arg2 | arg2 |

## XrdXrootdMonTrace.arg0

union XrdXrootdMonTrace.arg0

Definition at line 47 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonTrace.arg0:

Class Members
kXR_char | id[8] |
kXR_unt32 | rTot[2] |
kXR_unt16 | sVal[4] |
kXR_int64 | val |

## XrdXrootdMonTrace.arg1

union XrdXrootdMonTrace.arg1

Definition at line 51 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonTrace.arg1:

Class Members
kXR_int32 | buflen |
kXR_int32 | Window |
kXR_unt32 | wTot |

## XrdXrootdMonTrace.arg2

union XrdXrootdMonTrace.arg2

Definition at line 54 of file XrdXrootdMonData.hh.

Collaboration diagram for XrdXrootdMonTrace.arg2:

Class Members
kXR_unt32 | dictid |
kXR_int32 | Window |

## Variable Documentation

## XROOTD_MON_APPID

const kXR_char XROOTD_MON_APPID = 0xa0

Definition at line 93 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonitor::appID().

## XROOTD_MON_BOUNDP

const kXR_char XROOTD_MON_BOUNDP = 0x02

Definition at line 150 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdProtocol::Recycle().

## XROOTD_MON_CHMOD

const kXR_char XROOTD_MON_CHMOD = 0x01

Definition at line 134 of file XrdXrootdMonData.hh.

## XROOTD_MON_CLOSE

const kXR_char XROOTD_MON_CLOSE = 0xc0

Definition at line 94 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonitor::Close().

## XROOTD_MON_DISC

const kXR_char XROOTD_MON_DISC = 0xd0

Definition at line 95 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonitor::Disc().

## XROOTD_MON_FORCED

const kXR_char XROOTD_MON_FORCED = 0x01

Definition at line 149 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdProtocol::Recycle().

## XROOTD_MON_GSCCM

const kXR_char XROOTD_MON_GSCCM = 'M'

Definition at line 118 of file XrdXrootdMonData.hh.

## XROOTD_MON_GSOSS

const kXR_char XROOTD_MON_GSOSS = 'O'

Definition at line 123 of file XrdXrootdMonData.hh.

## XROOTD_MON_GSPFC

const kXR_char XROOTD_MON_GSPFC = 'C'

Definition at line 119 of file XrdXrootdMonData.hh.

## XROOTD_MON_GSTCP

const kXR_char XROOTD_MON_GSTCP = 'T'

Definition at line 120 of file XrdXrootdMonData.hh.

## XROOTD_MON_GSTHR

const kXR_char XROOTD_MON_GSTHR = 'R'

Definition at line 122 of file XrdXrootdMonData.hh.

## XROOTD_MON_GSTPC

const kXR_char XROOTD_MON_GSTPC = 'P'

Definition at line 121 of file XrdXrootdMonData.hh.

## XROOTD_MON_LOCATE

const kXR_char XROOTD_MON_LOCATE = 0x02

Definition at line 135 of file XrdXrootdMonData.hh.

## XROOTD_MON_MAPFSTA

const kXR_char XROOTD_MON_MAPFSTA = 'f'

Definition at line 105 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonFile::Init().

## XROOTD_MON_MAPGSTA

const kXR_char XROOTD_MON_MAPGSTA = 'g'

Definition at line 106 of file XrdXrootdMonData.hh.

## XROOTD_MON_MAPIDNT

const kXR_char XROOTD_MON_MAPIDNT = '='

Definition at line 103 of file XrdXrootdMonData.hh.

Referenced by XrdFrmMonitor::Init(), and XrdXrootdMonitor::Init().

## XROOTD_MON_MAPINFO

const kXR_char XROOTD_MON_MAPINFO = 'i'

Definition at line 107 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdGSReal::GetDictID(), and XrdXrootdMonitor::User::MapInfo().

## XROOTD_MON_MAPMIGR

const kXR_char XROOTD_MON_MAPMIGR = 'm'

Definition at line 108 of file XrdXrootdMonData.hh.

Referenced by XrdFrmMonitor::Map().

## XROOTD_MON_MAPPATH

const kXR_char XROOTD_MON_MAPPATH = 'd'

Definition at line 104 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdGSReal::GetDictID(), and XrdXrootdMonitor::User::MapPath().

## XROOTD_MON_MAPPURG

const kXR_char XROOTD_MON_MAPPURG = 'p'

Definition at line 109 of file XrdXrootdMonData.hh.

Referenced by XrdFrmMonitor::Map().

## XROOTD_MON_MAPREDR

const kXR_char XROOTD_MON_MAPREDR = 'r'

Definition at line 110 of file XrdXrootdMonData.hh.

## XROOTD_MON_MAPSTAG

const kXR_char XROOTD_MON_MAPSTAG = 's'

Definition at line 111 of file XrdXrootdMonData.hh.

Referenced by XrdFrmMonitor::Map().

## XROOTD_MON_MAPTOKN

const kXR_char XROOTD_MON_MAPTOKN = 'T'

Definition at line 113 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonitor::User::Report().

## XROOTD_MON_MAPTRCE

const kXR_char XROOTD_MON_MAPTRCE = 't'

Definition at line 112 of file XrdXrootdMonData.hh.

## XROOTD_MON_MAPUEAC

const kXR_char XROOTD_MON_MAPUEAC = 'U'

Definition at line 115 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonitor::User::Report().

## XROOTD_MON_MAPUSER

const kXR_char XROOTD_MON_MAPUSER = 'u'

Definition at line 114 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonitor::User::Report().

## XROOTD_MON_MAPXFER

const kXR_char XROOTD_MON_MAPXFER = 'x'

Definition at line 116 of file XrdXrootdMonData.hh.

Referenced by XrdFrmMonitor::Map().

## XROOTD_MON_MKDIR

const kXR_char XROOTD_MON_MKDIR = 0x07

Definition at line 140 of file XrdXrootdMonData.hh.

## XROOTD_MON_MV

const kXR_char XROOTD_MON_MV = 0x08

Definition at line 141 of file XrdXrootdMonData.hh.

## XROOTD_MON_NEWSTID

const int XROOTD_MON_NEWSTID = 0x8000000

Definition at line 155 of file XrdXrootdMonData.hh.

## XROOTD_MON_OPEN

const kXR_char XROOTD_MON_OPEN = 0x80

Definition at line 96 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonitor::Open().

## XROOTD_MON_OPENC

const kXR_char XROOTD_MON_OPENC = 0x04

Definition at line 137 of file XrdXrootdMonData.hh.

## XROOTD_MON_OPENDIR

const kXR_char XROOTD_MON_OPENDIR = 0x03

Definition at line 136 of file XrdXrootdMonData.hh.

## XROOTD_MON_OPENR

const kXR_char XROOTD_MON_OPENR = 0x05

Definition at line 138 of file XrdXrootdMonData.hh.

## XROOTD_MON_OPENW

const kXR_char XROOTD_MON_OPENW = 0x06

Definition at line 139 of file XrdXrootdMonData.hh.

## XROOTD_MON_PIDMASK

const long long XROOTD_MON_PIDMASK = 0xff

Definition at line 158 of file XrdXrootdMonData.hh.

## XROOTD_MON_PIDSHFT

const long long XROOTD_MON_PIDSHFT = 56

Definition at line 159 of file XrdXrootdMonData.hh.

## XROOTD_MON_PREP

const kXR_char XROOTD_MON_PREP = 0x09

Definition at line 142 of file XrdXrootdMonData.hh.

## XROOTD_MON_QUERY

const kXR_char XROOTD_MON_QUERY = 0x0a

Definition at line 143 of file XrdXrootdMonData.hh.

## XROOTD_MON_READU

const kXR_char XROOTD_MON_READU = 0x91

Definition at line 98 of file XrdXrootdMonData.hh.

## XROOTD_MON_READV

const kXR_char XROOTD_MON_READV = 0x90

Definition at line 97 of file XrdXrootdMonData.hh.

## XROOTD_MON_REDHOST

const kXR_char XROOTD_MON_REDHOST = 0xf0

Definition at line 99 of file XrdXrootdMonData.hh.

## XROOTD_MON_REDIRECT

const kXR_char XROOTD_MON_REDIRECT = 0x80

Definition at line 131 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonitor::Redirect().

## XROOTD_MON_REDLOCAL

const kXR_char XROOTD_MON_REDLOCAL = 0x90

Definition at line 132 of file XrdXrootdMonData.hh.

## XROOTD_MON_REDMASK

const int XROOTD_MON_REDMASK = 0x00000ff

Definition at line 152 of file XrdXrootdMonData.hh.

## XROOTD_MON_REDSID

const kXR_char XROOTD_MON_REDSID = 0xf0

Definition at line 128 of file XrdXrootdMonData.hh.

Referenced by XrdXrootdMonitor::Init().

## XROOTD_MON_REDTIME

const kXR_char XROOTD_MON_REDTIME = 0x00

Definition at line 129 of file XrdXrootdMonData.hh.

## XROOTD_MON_RM

const kXR_char XROOTD_MON_RM = 0x0b

Definition at line 144 of file XrdXrootdMonData.hh.

## XROOTD_MON_RMDIR

const kXR_char XROOTD_MON_RMDIR = 0x0c

Definition at line 145 of file XrdXrootdMonData.hh.

## XROOTD_MON_SIDMASK

const long long XROOTD_MON_SIDMASK = 0x0000ffffffffffff

Definition at line 157 of file XrdXrootdMonData.hh.

## XROOTD_MON_SRCMASK

const int XROOTD_MON_SRCMASK = 0x000000f

Definition at line 153 of file XrdXrootdMonData.hh.

## XROOTD_MON_STAT

const kXR_char XROOTD_MON_STAT = 0x0d

Definition at line 146 of file XrdXrootdMonData.hh.

## XROOTD_MON_TRGMASK

const int XROOTD_MON_TRGMASK = 0x7fffff0

Definition at line 154 of file XrdXrootdMonData.hh.

## XROOTD_MON_TRUNC

const kXR_char XROOTD_MON_TRUNC = 0x0e

Definition at line 147 of file XrdXrootdMonData.hh.

## XROOTD_MON_WINDOW

const kXR_char XROOTD_MON_WINDOW = 0xe0

Definition at line 100 of file XrdXrootdMonData.hh.